import scrapy

class PostsSpider(scrapy.Spider):
    name = "posts"
    start_urls = [
        'http://quotes.toscrape.com/page/2/',
        'http://quotes.toscrape.com/page/3/'
    ]

    def parse(self, response):
        page = response.url.split('/')[-2]
        filename = 'posts-%s.html' % page
        with open(filename, 'wb') as f:
            f.write(response.body)