import scrapy
import random
from random import randint

class PostsSpider(scrapy.Spider):
    name = "posts"
    start_urls = [
        'https://www.nytimes.com/'
    ]

    def parse(self, response):
        for posts in response.css('div.css-xdandi'):
            header = posts.css('h3.indicate-hover::text').get()
            if header is not None:
                yield{
                    'choose a word or phrase': header
                }
        print(dict(header=header))
# in terminal: scrapy crawl posts -o filename.json