import scrapy
import random
from random import randint

class PostsSpider(scrapy.Spider):
    name = "posts"
    start_urls = [
        'https://www.nytimes.com/'
    ]

    def parse(self, response):
        for posts in response.css('div.css-xdandi'):
            header = posts.css('h3.indicate-hover::text').get()
            if header is not None:
                header = header.split(' ')
                header1 = header[-(randint(0, len(header)))]
                header2 = header[-(randint(0, len(header)))]
            yield{
                header1: header2
            }
        print(dict(header1=header1))