import scrapy

class PostsSpider(scrapy.Spider):
    name = "posts"
    start_urls = [
        'https://www.nytimes.com/'
    ]
 
    def parse(self, response):
        for posts in response.css('section.story-wrapper'):
            header1 = posts.css('a div div.css-xdandi h3.indicate-hover::text').get()
            body_text = posts.css('a div p.summary-class::text').get()
            if body_text is not None:
                yield{
                    "shout": header1,
                    "the dream":body_text
                }
        print(dict(header1=header1, body_text=body_text))